# Class PublisherServiceTest

Namespace
  adas_core.Test.Services

Assembly
  adas-core.Test.dll

    [TestFixture]
    public class PublisherServiceTest

Inheritance
  object
  PublisherServiceTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### SendMessage_Error_Return_true()

Verifies that `SendMessageError` returns a non-null result when publishing a new Message<T> to the observations queue.

    [Test]
    public void SendMessage_Error_Return_true()

### SendMessage_Return_true()

Verifies that the publisher service's SendMessage method returns a non-null result when sending a message to the observations queue.

    [Test]
    public void SendMessage_Return_true()

### Setup()

Initializes the test environment for PublisherService by configuring RabbitMQ settings, creating a mocked logger, and instantiating the service under test.

    [SetUp]
    public void Setup()